/**
    Main Stage
    this css serves the fading transition effect.
 */
.main {
    opacity: 1;
    -webkit-transition: opacity 0.3s ease-in-out;
    -moz-transition: opacity 0.3s ease-in-out;
    -ms-transition: opacity 0.3s ease-in-out;
    -o-transition: opacity 0.3s ease-in-out;
    transition: opacity 0.3s ease-in-out;
    top: 0;
    left: 0;
    width: 100%;
}

.main.fade {
    opacity: 0;
}